Need help with modV?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

vcync
231 Stars 15 Forks MIT License 290 Commits 50 Opened issues

Description

modular audio visualisation powered by JavaScript

Services available

!
?

Need anything else?

Contributors list

modV

modV logo

GitHub release (latest by date including pre-releases) Documentation Maintenance License: MIT Twitter: @_modV_

modV is a modular audio visualisation environment built upon web technologies.

Download

Find the latest modV binaries available for download in the releases section.

https://github.com/vcync/modV/releases/latest

Project development setup

yarn

Compiles and hot-reloads for development

yarn electron:serve

Builds for release

yarn electron:build

Platform specifics for building and development

Windows

Shell

CMD or PowerShell is required as native binaries need to be compiled or fetched for Windows. WSL (Windows Subsystem for Linux) or WSL2 are not supported as they will try to compile those binaries for Ubuntu.

Dependancies

Windows Platform tools are required for building native binaries. You can install them in a shell opened as administrator with the following snippet:

npm install --global --production windows-build-tools

Note: This will take some time and you don't get much feedback of what is happening, so please wait until you get confirmation the installation process has finished otherwise painful Visual Studio things will need to be fixed!

'vue-cli-service' is not recognized

Please see issue 122 (vcync/modv-3/issues/122#issuecomment-640100114) on how to resolve this.

Ubuntu/Debian

libndi is required for NDI sources and must be installed for modV to build. You can find that available to download here: Palakis/obs-ndi/releases

Last successful build was with

libndi4_4.5.1-1_amd64.deb
.

Other Linux flavours

Untested. NDI is provided by grandiose, our fork is here: vcync/grandiose This fork of grandiose has other libndi supported platforms, however even on Ubuntu we needed the above libndi package to be installed.

Let us know how you get on (good or bad) and we'll update the repo and docs accordingly.

Contributing

Contributions, issues and feature requests are welcome! Feel free to check issues page.

Show your support

Give a ⭐️ if this project helped you!

Acknowledgements

Thank you to:

  • Tim Pietrusky for his continued support, help, mentorship and kindness
  • Live:JS for inspiration, motivation and advice
  • Hugh Rawlinson, Nevo Segal and Jakub Fiala for the incredible audio analysis engine, meyda
  • Dario Villanueva for his advice and introduction to live visuals which inspired this whole project

License

Copyright © 2020 vcync. This project is MIT licensed.

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.